<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'broadcast']">Pesan Broadcast</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Edit</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Update OPD </h5>
            </div>
            <div class="card-block">

                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()">

                <div class="row">
                    <div class="col-xs-12 col-md-6">  
                        <div class="form-group">
                            <label class="col-form-label">Judul</label>
                            <input class="form-control" type="text" placeholder="Judul" formControlName="judul"/>
                            <span class="messages text-danger" *ngIf="!myForm.get('judul').valid && myForm.get('judul')">
                                * Harus diisi
                            </span>
                            <span class="md-line"></span>
                        </div>
                    </div>
                </div>  

                <div class="row">
                    <div class="col-md-12">  
                        <div class="form-group">
                            <label class="col-form-label">Isi Pesan</label>
                            <div [froalaEditor]="{heightMin:200}" formControlName="pesan"></div>
                            <span class="messages text-danger" *ngIf="!myForm.get('pesan').valid && myForm.get('pesan')">
                                * Harus diisi
                            </span>
                            <span class="md-line"></span>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xs-12 col-md-6">  
                        <div class="form-group">
                            <label class="col-form-label">Penerima</label>
                            <ng-select
                                name="penerima" 
                                placeholder="Penerima"
                                [ngClass]="'ng-select'"
                                [allowClear]="true"
                                [options]="penerimaOption"
                                formControlName="penerima">
                            </ng-select>
                            <span class="messages text-danger" *ngIf="!myForm.get('penerima').valid && myForm.get('penerima')">
                                * Pilih salah satu
                            </span>
                            <span class="md-line"></span>
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                  <label class="col-sm-2 col-form-label">Pesan Dibuat/Diubah :</label>
                  <div class="col-sm-10" style="margin-top: 5px;">
                    {{ convert.formatDateIndoTglJam(dataBroadcast.updated_at) }}
                  </div>
                </div>

                <div class="form-group row">
                  <label class="col-sm-2 col-form-label">Pesan Dikirim :</label>
                  <div class="col-sm-10" style="margin-top: 5px;">
                    {{ convert.formatDateIndoTglJam(dataBroadcast.tanggal_kirim) }}
                  </div>
                </div>

                <br/>
                <div class="row">
                    <div class="col-sm-3 col-xl-3">
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()" ><i class="icofont icofont-error"></i>Batal</button>
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-warning btn-md btn-block" type="submit" (click)="onDraft()" [disabled]="!myForm.valid" ><i class="icofont icofont-diskette"></i>Simpan Sebagai Draft</button>
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-success btn-md btn-block" type="submit" (click)="onSend()" [disabled]="!myForm.valid" ><i class="icofont icofont-location-arrow"></i>Kirim Pesan</button>
                    </div>
                </div>

                </form>
            </div>           
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
